net.minecraft.client.gui

## Class GuiScreenResourcePacks

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.GuiScreenResourcePacks

-     public class GuiScreenResourcePacks
      extends GuiScreen

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenResourcePacks(GuiScreen p_i45050_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `boolean` | `func_146961_a(ResourcePackListEntry p_146961_1_)`
    `java.util.List` | `func_146962_b(ResourcePackListEntry p_146962_1_)`
    `java.util.List` | `func_146963_h()`
    `java.util.List` | `func_146964_g()`
    `void` | `initGui()`
    `protected void` | `mouseClicked(int par1, int par2, int par3)`
    `protected void` | `mouseMovedOrUp(int p_146286_1_, int p_146286_2_, int p_146286_3_)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, keyTyped, mouseClickMove, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiScreenResourcePacks

          public GuiScreenResourcePacks(GuiScreen p_i45050_1_)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### func_146961_a

          public boolean func_146961_a(ResourcePackListEntry p_146961_1_)

    - #### func_146962_b

          public java.util.List func_146962_b(ResourcePackListEntry p_146962_1_)

    - #### func_146964_g

          public java.util.List func_146964_g()

    - #### func_146963_h

          public java.util.List func_146963_h()

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### mouseClicked

          protected void mouseClicked(int par1,
                          int par2,
                          int par3)

      Overrides:
        `mouseClicked` in class `GuiScreen`

    - #### mouseMovedOrUp

          protected void mouseMovedOrUp(int p_146286_1_,
                            int p_146286_2_,
                            int p_146286_3_)

      Overrides:
        `mouseMovedOrUp` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`